Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLRestriction

All Superinterfaces:
  Cloneable, OWLDescription, OWLObject, Serializable

All Known Subinterfaces:
  OWLCardinalityRestriction, OWLDataAllRestriction, OWLDataCardinalityRestriction, OWLDataQuantifiedRestriction, OWLDataRestriction, OWLDataSomeRestriction, OWLDataValueRestriction, OWLObjectAllRestriction, OWLObjectCardinalityRestriction, OWLObjectQuantifiedRestriction, OWLObjectRestriction, OWLObjectSomeRestriction, OWLObjectValueRestriction

All Known Implementing Classes:
  OWLDataAllRestrictionImpl, OWLDataCardinalityRestrictionImpl, OWLDataQuantifiedRestrictionImpl, OWLDataRestrictionImpl, OWLDataSomeRestrictionImpl, OWLDataValueRestrictionImpl, OWLObjectAllRestrictionImpl, OWLObjectCardinalityRestrictionImpl, OWLObjectQuantifiedRestrictionImpl, OWLObjectRestrictionImpl, OWLObjectSomeRestrictionImpl, OWLObjectValueRestrictionImpl

public interface OWLRestriction
extends OWLDescription

A super interface of datatype and individual restrictions.

Version:
  $Id: OWLRestriction.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Method Summary
`OWLProperty` | `getProperty()` Returns the property involved in the restriction

Methods inherited from interface org.semanticweb.owl.model.OWLDescription
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Method Detail

### getProperty

    public OWLProperty getProperty()
                            throws OWLException

  Returns the property involved in the restriction

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb